.App {
  text-align: center;
  font-family: Arial, sans-serif;
  position: relative;
  height: 100vh; /* Ajustez la hauteur selon votre besoin */
  overflow: hidden;

}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  position: absolute;
  top: 0;
  left: 0;
  width: 99%;
  padding: 10px;
  z-index: 1000; 
  display: flex;
  justify-content: flex-end;
}


.buttons-container {
  display: flex;
  gap: 10px; /* Espacement entre les boutons */
}

.round-button {
  border: none;
  border-radius: 50%; /* Pour rendre le bouton rond */
  margin: 10px 20px; /* Ajustez le padding selon votre besoin */
  cursor: pointer;
  transition: background-color 0.3s ease;
  background-color: #b3b4b500; 
  
}

.round-button:hover {
  background-color: #b3b4b537; 
}

.boutonProfil{
  width: 60px;
}


.content {
  position: relative;
  overflow: hidden; /* Empêche le défilement horizontal */
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

nav {
  display: flex;
  justify-content: space-around;
  background-color: #282c34;
  padding: 1em;
}

nav a {
  color: white;
  text-decoration: none;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 2em;
}

input {
  margin: 0.5em 0;
  padding: 0.5em;
}

button {
  margin: 0.5em 1em;
  /* background-color: #282c34; */
  /* color: white; */
  border: none;
  cursor: pointer;
}

.ReactModal__Overlay {
  z-index: 1000;
  background-color: rgba(255, 255, 255, 0) !important;
}

.ReactModal__Content {
  z-index: 1001; 
  width: 500px;
  height: 210px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.814) !important;

}


.modal-portal {
  z-index: 1000;
  position: absolute;
  top: 50%; 
  left: 50%; 
  transform: translate(-50%, -50%); 
}

/* Début MapComponent */

.TitreAjoutEmplacement{
  text-align: center;
}

.InputAjoutEmplacement{
  width: 100%;
  padding: 10px 15px;
  margin: 10px 0;
  font-size: 16px;
  color: #333;
  background-color: #f9f9f9;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
  transition: border-color 0.3s, box-shadow 0.3s;
  box-sizing: border-box;
}

.InputAjoutEmplacement:hover{
  border-color: #007BFF;
}

.InputAjoutEmplacement:focus{
  outline: none;
  border-color: #007BFF;
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}


.boutonAjoutEmplacement{
  background-color: #007BFF; 
  color: white; 
  padding: 10px 20px; 
  border: none; 
  border-radius: 5px; 
  cursor: pointer; 
  font-size: 16px; 
  transition: background-color 0.3s, transform 0.3s; 
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); 
}

.boutonAjoutEmplacement:hover{
  background-color: #0056b3; 
  transform: scale(1.05); 
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3); 

}

.sidebar {
  position: absolute; /* Utilisez 'absolute' pour un positionnement plus flexible */
  top: 20px;
  right: -300px; /* Initialement en dehors de la vue */
  background: white;
  padding: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  transition: right 0.3s ease-in-out; /* Animation pour le glissement */
  z-index: 1001; /* Assurez-vous que la sidebar est au-dessus de la carte */
  width: 800px; /* Déplacez la largeur ici pour éviter les bugs */
  display: none; /* Initialement caché */
}

.sidebar.visible {
  right: 20px; /* Position finale lorsque visible */
  display: block; /* Assurez-vous que la sidebar est affichée */
}

.close-sidebar {
  position: absolute;
  top: 10px;
  right: 10px;
  background: transparent;
  border: none;
  font-size: 24px;
  cursor: pointer;
  color: #000;
}


.marker-details {
  font-size: 14px;
}

.TitreAjoutEmplacement {
  margin: 0;
  font-size: 18px;
}

.InputAjoutEmplacement, .boutonAjoutEmplacement {
  margin-top: 10px;
  padding: 5px;
  width: 100%;
  box-sizing: border-box;
}

.boutonAjoutEmplacement {
  margin-top: 5px;
  background: #007bff;
  color: white;
  border: none;
  cursor: pointer;
  text-align: center;
}

.boutonAjoutEmplacement:hover {
  background: #0056b3;
}

.map-container {
  position: relative;
  height: 100vh;
  width: 100%;
}

.CompartimentInformationIcon{
  display: flex;
  flex-direction: column;
}

.Informations{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap:25px;
}

.IconInformation{
  width: 20px;
  padding-top: 5px;
  padding-bottom: 5px;

}


.suggest-horaires-button {
  display: block;
  margin: 10px 0;
  padding: 10px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.suggest-horaires-button:hover {
  background-color: #0056b3;
}

.marker-details form {
  display: flex;
  flex-direction: column;
}

.marker-details form div {
  margin-bottom: 10px;
}

.marker-details form input {
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.marker-details form button {
  margin-top: 10px;
  padding: 10px;
  background-color: #28a745;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.marker-details form button:hover {
  background-color: #218838;
}


/* Fin MapComponent */